/**
 * A small set of macros to set bits to 1 or 0 provided a bit mask
 */

#ifndef BIT_H_
#define BIT_H_

#define Bit_on(var, mask) (var) |= (mask)
#define Bit_off(var, mask) (var) &= ~(mask)
#define Bit_isSet(var, mask) ((var) & (mask))

#endif /* BIT_H_ */
