#include <WatchDog.h>
#include "LPC17xx.h"

void WatchDog_enable(uint16_t countDownMs)
{
	LPC_WDT->WDTC = (uint32_t) countDownMs * 1000; //Timer constant
	LPC_WDT->WDMOD = 3; //Enable (bit 0) and reset (bit 1) mode
	WatchDog_feed(); //Initialization concludes with a feed
}

void WatchDog_feed()
{
	LPC_WDT->WDFEED = 0xAA;
	LPC_WDT->WDFEED = 0x55;
}
