/*
 * main.h
 *
 *  Created on: 16 de abr. de 2016
 *      Author: lanselot
 */

#ifndef MAIN_H_
#define MAIN_H_

#define WATCHDOG_FEED_TIMEOUT 5000
#define WATCHDOG_ENABLED 0

/**
 * A task that feeds the watchdog
 */
void feedWatchdogTask();

/**
 * Sets up the application as a task and then deletes itself.
 * Because the FreeRTOS scheduler is already initialized, all the code
 * executed from here can freely use API calls.
 */
void mainSetupTask();
#endif /* MAIN_H_ */
