#ifndef WIFLYTERM_H_
#define WIFLYTERM_H_

#define WIFLYTERM_UART_NUM 3
#define WIFLYTERM_UART_BAUDS 19200
#define WIFLYTERM_UART_RECEIVE_BUFFER 16

/**
 * Initializes the module
 */
void WiflyTerm_Setup();

/**
 * This task listens for connections to the WiFly, and enables logging
 * when a session is active, and disables it on close.
 */
void WiflyTerm_Task();

#define WIFLY_GRAPH_FIRST 0
#define WIFLY_GRAPH_COMMAND_SELECT 1
#define WIFLY_GRAPH_OPEN_0 2
#define WIFLY_GRAPH_OPEN_1 4
#define WIFLY_GRAPH_OPEN_2 6
#define WIFLY_GRAPH_OPEN_3 8

#define WIFLY_GRAPH_CLOSE_0 3
#define WIFLY_GRAPH_CLOSE_1 5
#define WIFLY_GRAPH_CLOSE_2 7
#define WIFLY_GRAPH_CLOSE_3 9


#endif /* WIFLYTERM_H_ */
